/*
** townproto.h  Copyright 1991 Kent Paul Dolan,
**              Mountain View, CA, USA 94039-0755
**
** Written to satisfy an inquiry on USENet's rec.games.programmer newsgroup.
** May be freely used or modified in any non-commercial work.  Copyrighted
** only to prevent patenting by someone else.
*/

/*
** This file contains the prototypes for the functions in townmaze;
** it is quite a mess since the program was developed in both an
** ANSI C prototyping environment (Lattice C 5.05) on the Amiga
** under AmigaOS, and in a BSD 4.3 Unix pre-ANSI C "cc" environment
** without prototypes. 
*/

/* functions in cleanupmap.c */

#ifdef __STDC__
void cleanupmap();
#else
int cleanupmap();
#endif

/* functions in closedoors.c */

#ifdef __STDC__
void closedoors();
#else
int closedoors();
#endif

/* functions in closegates.c */

#ifdef __STDC__
void closegates();
#else
int closegates();
#endif

/* functions in connectst.c */

#ifdef __STDC__
void connectstreets();
#else
int connectstreets();
#endif

/* functions in filllist.c */

#ifdef __STDC__
void filllist();
#else
int filllist();
#endif

/* functions in fillmaze.c */

#ifdef __STDC__
void fillmaze();
#else
int fillmaze();
#endif

/* functions in finishalleys.c */

#ifdef __STDC__
void finishalleys();
#else
int finishalleys();
#endif

/* functions in freespace.c */

#ifdef __STDC__
void freespace();
#else
int freespace();
#endif

/* functions in getargs.c */

#ifdef __STDC__
void getargs(int argc,char *argv[]);
#else
int getargs();
#endif

/* functions in interiorcell.c */

#ifdef __STDC__
int interiorcell(int cellid);
#else
int interiorcell();
#endif

/* functions in makecourts.c */

#ifdef __STDC__
void makecourts();
#else
int makecourts();
#endif

/* functions in makegates.c */

#ifdef __STDC__
void makegates();
#else
int makegates();
#endif

/* functions in makespace.c */

#ifdef __STDC__
void makespace();
#else
int makespace();
#endif

/* functions in makestreet.c */

#ifdef __STDC__
int makestreet(int chosencell,int streetid,int streetpoints);
#else
int makestreet();
#endif

/* functions in makeunused.c */

#ifdef __STDC__
void makeunused();
#else
int makeunused();
#endif

/* functions in movefromto.c */

#ifdef __STDC__
void movefromto(int *fromlist,int *fromcount,int *tolist,int *tocount,
                int newstat,int cellnum);
#else
int movefromto();
#endif

/* functions in nhbrexists.c */

#ifdef __STDC__
int nhbrexists(int cellid,int nhbrid);
#else
int nhbrexists();
#endif

/* functions in nhbris.c */

#ifdef __STDC__
int nhbris(int cellid,int nhbrid);
#else
int nhbris();
#endif

/* functions in showdbmaze.c */

#ifdef __STDC__
void showdebugmaze();
#else
int showdebugmaze();
#endif

/* functions in showlistdet.c */

#ifdef __STDC__
void showlistdetail();
#else
int showlistdetail();
#endif

/* functions in showlistsum.c */

#ifdef __STDC__
void showlistsummary();
#else
int showlistsummary();
#endif

/* functions in showmaze.c */

#ifdef __STDC__
void showmaze();
#else
int showmaze();
#endif

/* functions in townmain.c */

#ifdef __STDC__
void main(int argc,char *argv[]);
#else
int main();
#endif

/* functions in usage.c */

#ifdef __STDC__
void usage();
#else
int usage();
#endif

